<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class ComboboxNewslAnlBearb extends Combobox
{
  protected function getDefaultOption(): ?\ComboboxOption
  {
    $option = new ComboboxOption();
    $option->value = '';
    $option->text = 'Mitarbeiter auswählen';
    $option->isSelected = is_null($this->selectedValue);

    return $option;
  }

  protected function getDatamodulAry(): array
  {
    $dbwBASysUser = new DBWorkBASysUser();

    return $dbwBASysUser->getBASysUsers();
  }

  protected function getValueFieldName(): string
  {
    return 'kennung';
  }

  protected function getTextFieldName(): string
  {
    return 'namevorname';
  }
}